/* TTMPSvr.h
 *
 * Private TTMPServer declarations.
 *
 * Copyright (C) 2005-2006 TomTom BV <http://www.tomtom.com/>
 * Author 0: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2
 * as published by the Free Software Foundation.
 */

#ifndef INCLUDED_TTMPSVR_H
#define INCLUDED_TTMPSVR_H

#include "TTMPSock.h"

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#define TTMP_SVR_MAGIC 0x37d1b57c

#define TTMP_SVR_MAXCONN 10

struct sTTMPServer {
	TUint32 magic;
	TInt32 timeout;
	TInt32 major;
	TInt32 minor;
	TTMPSocketAddress address;
	TTMPSocket socket;
};

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* INCLUDED_TTMPSVR_H */

/* EOF */
