/* hexdump.h
 *
 * Dump some binary data.
 *
 * Copyright (C) 2005-2006 TomTom BV <http://www.tomtom.com/>
 * Author 0: Dimitry Andric <dimitry.andric@tomtom.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 2
 * as published by the Free Software Foundation.
 */

#ifndef INCLUDED_HEXDUMP_H
#define INCLUDED_HEXDUMP_H

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

void hexdump(FILE *fp, const void *buf, size_t size);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* INCLUDED_HEXDUMP_H */

/* EOF */
